-- "Deep Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.1 created by Daniv
-- Last updated 4th October 2014



defineMaterial{
   name = "deep_floor_corpse",
   diffuseMap = "mod_assets/textures/deep_temple/deep_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/floor_corpse_spec.tga",
   normalMap = "assets/textures/props/floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_altar",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_altar_dif.tga",
   specularMap = "assets/textures/env/dungeon_altar_spec.tga",
   normalMap = "assets/textures/env/dungeon_altar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_arch",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_arch_dif.tga",
   specularMap = "assets/textures/env/temple_arch_spec.tga",
   normalMap = "assets/textures/env/temple_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_button",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_button_dif.tga",
   specularMap = "assets/textures/props/dungeon_button_spec.tga",
   normalMap = "assets/textures/props/dungeon_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_ceiling",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_ceiling_dif.tga",
   specularMap = "assets/textures/env/temple_ceiling_spec.tga",
   normalMap = "assets/textures/env/temple_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }




defineMaterial{
   name = "deep_temple_chain_metal_dark",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_chain_metal_dif.tga",
   specularMap = "assets/textures/env/chain_metal_spec.tga",
   normalMap = "assets/textures/env/chain_metal_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_daemon_head",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_daemon_head_dif.tga",
   specularMap = "assets/textures/env/daemon_head_spec.tga",
   normalMap = "assets/textures/env/daemon_head_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_door_lock",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_key_lock_dif.tga",
   specularMap = "assets/textures/props/dungeon_key_lock_spec.tga",
   normalMap = "assets/textures/props/dungeon_key_lock_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_door_wooden",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wooden_door_dif.tga",
   specularMap = "assets/textures/env/dungeon_arch_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_dragon_statue",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_dragon_statue_dif.tga",
   specularMap = "assets/textures/env/dragon_statue_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_dragon_statue_base",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_dragon_statue_base_dif.tga",
   specularMap = "assets/textures/env/marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_easy_button",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_easy_button_dif.tga",
   specularMap = "assets/textures/env/temple_easy_button_spec.tga",
   normalMap = "assets/textures/env/temple_easy_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_floor",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_floor_dif.tga",
   specularMap = "assets/textures/env/temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_floor_corpse",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/temple_floor_corpse_spec.tga",
   normalMap = "assets/textures/props/temple_floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_gladiator_statue",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_gladiator_statue_dif.tga",
   specularMap = "assets/textures/props/gladiator_statue_spec.tga",
   normalMap = "assets/textures/props/gladiator_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_gobelin",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_gobelin_dif.tga",
   specularMap = "assets/textures/env/dungeon_gobelin_spec.tga",
   normalMap = "assets/textures/env/dungeon_gobelin_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_gobelin_torn",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_gobelin_torn_dif.tga",
   specularMap = "assets/textures/env/dungeon_gobelin_torn_spec.tga",
   normalMap = "assets/textures/env/dungeon_gobelin_torn_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_goromorg_statue",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_goromorg_statue_dif.tga",
   specularMap = "assets/textures/env/goromorg_statue_spec.tga",
   normalMap = "assets/textures/env/goromorg_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_goromorg_statue_base",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_marble_generic_dif.tga",
   specularMap = "assets/textures/env/marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_hard_button",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_hard_button_dif.tga",
   specularMap = "assets/textures/env/temple_hard_button_spec.tga",
   normalMap = "assets/textures/env/temple_hard_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_iron_door",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_iron_door_dif.tga",
   specularMap = "assets/textures/env/dungeon_iron_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_iron_portcullis",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_portcullis_dif.tga",
   specularMap = "assets/textures/env/dungeon_porticullis_spec.tga",
   normalMap = "assets/textures/env/dungeon_porticullis_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_lever_frame",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_lever_dif.tga",
   specularMap = "assets/textures/props/dungeon_lever_spec.tga",
   normalMap = "assets/textures/props/dungeon_lever_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_medium_button",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_medium_button_dif.tga",
   specularMap = "assets/textures/env/temple_medium_button_spec.tga",
   normalMap = "assets/textures/env/temple_medium_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_temple_metal_door",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_metal_door_dif.tga",
   specularMap = "assets/textures/env/metal_door_spec.tga",
   normalMap = "assets/textures/env/metal_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_ornament_door",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_ornament_door_dif.tga",
   specularMap = "assets/textures/env/ornament_door_spec.tga",
   normalMap = "assets/textures/env/ornament_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_pillar",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_pillar_dif.tga",
   specularMap = "assets/textures/env/temple_pillar_spec.tga",
   normalMap = "assets/textures/env/temple_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_pressure_plate",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_pressureplate_dif.tga",
   specularMap = "assets/textures/env/temple_pressureplate_spec.tga",
   normalMap = "assets/textures/env/temple_pressureplate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_rockwall",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_rockwall_dif.tga",
   specularMap = "assets/textures/env/rockwall_tile_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 35,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_spell_receptor",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_spell_receptor_dif.tga",
   specularMap = "assets/textures/env/dungeon_ceiling_spec.tga",
   normalMap = "assets/textures/env/dungeon_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }




defineMaterial{
   name = "deep_temple_spider_eggs",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_spider_eggs_dif.tga",
   specularMap = "assets/textures/props/spider_eggs_spec.tga",
   normalMap = "assets/textures/props/spider_eggs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 50,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_spider_egg_ground",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_spider_egg_ground_dif.tga",
   specularMap = "assets/textures/props/spider_egg_ground_spec.tga",
   normalMap = "assets/textures/props/spider_egg_ground_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 70,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_stairs",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_stairs_dif.tga",
   specularMap = "assets/textures/env/dungeon_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_torch_holder",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_torch_holder_dif.tga",
   specularMap = "assets/textures/props/dungeon_torch_holder_spec.tga",
   normalMap = "assets/textures/props/dungeon_torch_holder_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_dif.tga",
   specularMap = "assets/textures/env/temple_wall_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_dirt",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_dirt_dif.tga",
   specularMap = "assets/textures/props/temple_wall_dirt_spec.tga",
   normalMap = "assets/textures/props/temple_wall_dirt_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_glass",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_glass_dif.tga",
   specularMap = "assets/textures/env/temple_wall_glass_spec.tga",
   normalMap = "assets/textures/env/temple_wall_glass_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_glass_2",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_glass_2_dif.tga",
   specularMap = "assets/textures/env/temple_wall_glass_2_spec.tga",
   normalMap = "assets/textures/env/temple_wall_glass_2_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_wall_keyhole",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_keyhole_dif.tga",
   specularMap = "assets/textures/env/dungeon_wall_keyhole_spec.tga",
   normalMap = "assets/textures/env/dungeon_wall_keyhole_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_temple_wall_keyhole_gear",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_keyhole_gear_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_gear_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_gear_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_keyhole_golden",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_keyhole_golden_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_golden_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_golden_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_temple_wall_keyhole_ornament",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_ornament_lock_dif.tga",
   specularMap = "assets/textures/env/ornament_lock_spec.tga",
   normalMap = "assets/textures/env/ornament_lock_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_keyhole_prison",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_keyhole_prison_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_prison_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_prison_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_keyhole_round",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_keyhole_round_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_round_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_round_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_mosaic",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_mosaic_dif.tga",
   specularMap = "assets/textures/env/temple_wall_mosaic_spec.tga",
   normalMap = "assets/textures/env/temple_wall_mosaic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_temple_wall_walltext",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wall_text_dif.tga",
   specularMap = "assets/textures/env/temple_wall_text_spec.tga",
   normalMap = "assets/textures/env/temple_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_wood_barrel",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wood_barrel_dif.tga",
   specularMap = "assets/textures/props/wood_barrel_spec.tga",
   normalMap = "assets/textures/props/wood_barrel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_temple_wood_pole",
   diffuseMap = "mod_assets/textures/deep_temple/deep_temple_wood_block_dif.tga",
   specularMap = "assets/textures/props/wood_block_spec.tga",
   normalMap = "assets/textures/props/wood_block_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }
