-- "Deep Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.1 created by Daniv
-- Last updated 4th October 2014



import "mod_assets/scripts/deep_temple_materials.lua"
import "mod_assets/scripts/deep_temple_objects.lua"



defineWallSet{
   name = "deep_temple",
   randomFloorFacing = true,
   floors = {
      "mod_assets/models/deep_temple/deep_temple_floor_01.fbx", 1,
      "mod_assets/models/deep_temple/deep_temple_floor_02.fbx", 4,
      },
   walls = {
      "mod_assets/models/deep_temple/deep_temple_wall.fbx", 10,
      "mod_assets/models/deep_temple/deep_temple_wall_drainage.fbx", 1,
      },
   pillars = {
      "mod_assets/models/deep_temple/deep_temple_pillar.fbx", 1,
      },
   ceilings = {
      "mod_assets/models/deep_temple/deep_temple_ceiling.fbx", 1,
      },
   ceilingShafts = {
      "mod_assets/models/deep_temple/deep_temple_ceiling_pit.fbx", 1,
      },
   floorDecorations = {
      },
   wallDecorations = {
      "mod_assets/models/deep_temple/deep_temple_metal_hooks_wall.fbx", 1,
      "mod_assets/models/deep_temple/deep_temple_metal_hooks_chain_wall.fbx", 1,
      },
   pillarDecorations = {
      "mod_assets/models/deep_temple/deep_temple_metal_hook_pillar.fbx", 1,
      "mod_assets/models/deep_temple/deep_temple_metal_hook_chain_pillar.fbx", 1,
      "mod_assets/models/deep_temple/deep_temple_metal_ring_pillar.fbx", 1,
      },
   }
