-- "Deep Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.1 created by Daniv
-- Last updated 4th October 2014



cloneObject{
   name = "deep_temple_alcove",
   baseObject = "temple_alcove",
   model = "mod_assets/models/deep_temple/deep_temple_wall_alcove.fbx",
   }

cloneObject{
   name = "deep_temple_altar",
   baseObject = "altar",
   model = "mod_assets/models/deep_temple/deep_temple_altar.fbx",
   }

defineObject{
   name = "deep_temple_barrel_crate_block",
   class = "Blockage",
   model = "mod_assets/models/deep_temple/deep_temple_barrel_crate_block.fbx",
   brokenModel = "mod_assets/models/deep_temple/deep_temple_barrel_crate_block_broken.fbx",
   placement = "floor",
   health = 30,
   evasion = -1000,
   hitSound = "barrel_hit",
   hitEffect = "hit_wood",
   editorIcon = 56,
   }

defineObject{
   name = "deep_temple_bench",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_bench.fbx",
   placement = "wall",
   editorIcon = 92,
   }

cloneObject{
   name = "deep_temple_catacomb_empty",
   baseObject = "temple_catacomb_empty",
   model = "mod_assets/models/deep_temple/deep_temple_catacomb_empty.fbx",
   }

cloneObject{
   name = "deep_temple_catacomb_skeleton_down",
   baseObject = "temple_catacomb_skeleton_down",
   model = "mod_assets/models/deep_temple/deep_temple_catacomb_skeleton_down.fbx",
   }

cloneObject{
   name = "deep_temple_catacomb_skeleton_up",
   baseObject = "temple_catacomb_skeleton_up",
   model = "mod_assets/models/deep_temple/deep_temple_catacomb_skeleton_up.fbx",
   }

cloneObject{
   name = "deep_temple_cave_in",
   baseObject = "temple_cave_in",
   model = "mod_assets/models/deep_temple/deep_temple_cave_in.fbx",
   }

cloneObject{
   name = "deep_temple_cave_in_ceiling",
   baseObject = "temple_cave_in_ceiling",
   model = "mod_assets/models/deep_temple/deep_temple_cave_in_ceiling.fbx",
   }

cloneObject{
   name = "deep_temple_ceiling_lamp",
   baseObject = "temple_ceiling_lamp",
   lightPosition = vec(0, 3.25, 0),
   lightColor = vec(0.5, 0.45, 0.4),
   particleSystem = false,
   }

cloneObject{
   name = "deep_temple_ceiling_shaft",
   baseObject = "temple_ceiling_shaft",
   model = "mod_assets/models/deep_temple/deep_temple_ceiling_pit.fbx",
   }

defineObject{
   name = "deep_temple_daemon_head",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_daemon_head.fbx",
   placement = "wall",
   editorIcon = 92,
   }

defineObject{
   name = "deep_temple_daemon_head_eye_slots",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_daemon_head_puzzle.fbx",
   placement = "wall",
   editorIcon = 92,
   }

cloneObject{
   name = "deep_temple_door_iron",
   baseObject = "temple_door_iron",
   model = "mod_assets/models/deep_temple/deep_temple_door_iron.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame_wide.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_door_metal",
   baseObject = "temple_door_metal",
   model = "mod_assets/models/deep_temple/deep_temple_door_metal.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_door_ornament",
   baseObject = "temple_door_ornament",
   model = "mod_assets/models/deep_temple/deep_temple_door_ornament.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_door_portcullis",
   baseObject = "temple_door_portcullis",
   model = "mod_assets/models/deep_temple/deep_temple_door_portcullis.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_door_wooden",
   baseObject = "temple_door_wooden",
   model = "mod_assets/models/deep_temple/deep_temple_door_wooden.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_door_wooden_locked",
   baseObject = "temple_door_wooden_locked",
   model = "mod_assets/models/deep_temple/deep_temple_door_wooden_locked.fbx",
   doorFrameModel = "mod_assets/models/deep_temple/deep_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/deep_temple/deep_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "deep_temple_dragon_statue",
   baseObject = "dragon_statue",
   model = "mod_assets/models/deep_temple/deep_temple_dragon_statue.fbx",
   }

defineObject{
   name = "deep_temple_floor_corpse_1",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_floor_corpse_01.fbx",
   placement = "floor",
   editorIcon = 100,
   }

defineObject{
   name = "deep_temple_floor_corpse_2",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_floor_corpse_02.fbx",
   placement = "floor",
   editorIcon = 100,
   }

defineObject{
   name = "deep_temple_floor_corpse_3",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_floor_corpse_03.fbx",
   placement = "floor",
   editorIcon = 100,
   }

defineObject{
   name = "deep_temple_floor_dirt",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_floor_dirt.fbx",
   placement = "floor",
   editorIcon = 100,
   }

cloneObject{
   name = "deep_temple_floor_drainage",
   baseObject = "temple_floor_drainage",
   model = "mod_assets/models/deep_temple/deep_temple_floor_drainage.fbx",
   }

cloneObject{
   name = "deep_temple_gladiator_statue_axe",
   baseObject = "temple_gladiator_statue_axe",
   model = "mod_assets/models/deep_temple/deep_temple_gladiator_statue_battle_axe.fbx",
   }

cloneObject{
   name = "deep_temple_gladiator_statue_flail",
   baseObject = "temple_gladiator_statue_flail",
   model = "mod_assets/models/deep_temple/deep_temple_gladiator_statue_flail.fbx",
   }

cloneObject{
   name = "deep_temple_gladiator_statue_spear",
   baseObject = "temple_gladiator_statue_spear",
   model = "mod_assets/models/deep_temple/deep_temple_gladiator_statue_spear.fbx",
   }

cloneObject{
   name = "deep_temple_gladiator_statue_sword",
   baseObject = "temple_gladiator_statue_sword",
   model = "mod_assets/models/deep_temple/deep_temple_gladiator_statue_dismantler.fbx",
   }

cloneObject{
   name = "deep_temple_glass_wall_1",
   baseObject = "temple_glass_wall_1",
   model = "mod_assets/models/deep_temple/deep_temple_glass_wall_01.fbx",
   }

cloneObject{
   name = "deep_temple_glass_wall_2",
   baseObject = "temple_glass_wall_2",
   model = "mod_assets/models/deep_temple/deep_temple_glass_wall_02.fbx",
   }

cloneObject{
   name = "deep_temple_glass_wall_3",
   baseObject = "temple_glass_wall_3",
   model = "mod_assets/models/deep_temple/deep_temple_glass_wall_03.fbx",
   }

defineObject{
   name = "deep_temple_gobelin",
   class = "WallTapestry",
   model = "mod_assets/models/deep_temple/deep_temple_gobelin.fbx",
   brokenModel = "mod_assets/models/deep_temple/deep_temple_gobelin_torn.fbx",
   placement = "wall",
   editorIcon = 92,
   }

cloneObject{
   name = "deep_temple_goromorg_fourway",
   baseObject = "goromorg_fourway",
   model = "mod_assets/models/deep_temple/deep_temple_goromorg_statue_fourway.fbx",
   }

cloneObject{
   name = "deep_temple_goromorg_statue",
   baseObject = "temple_goromorg_statue",
   model = "mod_assets/models/deep_temple/deep_temple_goromorg_statue.fbx",
   }

defineObject{
   name = "deep_temple_lever",
   class = "Lever",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lever.fbx",
   activateAnim = "assets/animations/env/lever_down.fbx",
   deactivateAnim = "assets/animations/env/lever_up.fbx",
   placement = "wall",
   editorIcon = 12,
   }

defineObject{
   name = "deep_temple_lock",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

defineObject{
   name = "deep_temple_lock_gear",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock_gear.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

defineObject{
   name = "deep_temple_lock_golden",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock_golden.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

defineObject{
   name = "deep_temple_lock_ornate",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock_ornament.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

defineObject{
   name = "deep_temple_lock_prison",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock_prison.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

defineObject{
   name = "deep_temple_lock_round",
   class = "Lock",
   model = "mod_assets/models/deep_temple/deep_temple_wall_lock_round.fbx",
   height = 1.375,
   placement = "wall",
   editorIcon = 20,
   }

cloneObject{
   name = "deep_temple_mosaic_wall_1",
   baseObject = "temple_mosaic_wall_1",
   model = "mod_assets/models/deep_temple/deep_temple_mosaic_wall_01.fbx",
   }

cloneObject{
   name = "deep_temple_mosaic_wall_2",
   baseObject = "temple_mosaic_wall_2",
   model = "mod_assets/models/deep_temple/deep_temple_mosaic_wall_02.fbx",
   }

cloneObject{
   name = "deep_temple_pillar",
   baseObject = "temple_pillar",
   model = "mod_assets/models/deep_temple/deep_temple_pillar.fbx",
   }

cloneObject{
   name = "deep_temple_pit",
   baseObject = "temple_pit",
   model = "mod_assets/models/deep_temple/deep_temple_pit.fbx",
   trapDoorModel = "mod_assets/models/deep_temple/deep_temple_pit_trapdoor.fbx",
   }

cloneObject{
   name = "deep_temple_pressure_plate",
   baseObject = "temple_pressure_plate",
   model = "mod_assets/models/deep_temple/deep_temple_pressure_plate.fbx",
   }

cloneObject{
   name = "deep_temple_receptor",
   baseObject = "receptor",
   model = "mod_assets/models/deep_temple/deep_temple_spell_receptor.fbx",
   }

cloneObject{
   name = "deep_temple_secret_button_large",
   baseObject = "temple_secret_button_large",
   model = "mod_assets/models/deep_temple/deep_temple_secret_button_large.fbx",
   }

cloneObject{
   name = "deep_temple_secret_button_small",
   baseObject = "temple_secret_button_small",
   model = "mod_assets/models/deep_temple/deep_temple_secret_button_small.fbx",
   }

cloneObject{
   name = "deep_temple_secret_button_tiny",
   baseObject = "temple_secret_button_tiny",
   model = "mod_assets/models/deep_temple/deep_temple_secret_button_tiny.fbx",
   }

cloneObject{
   name = "deep_temple_secret_door",
   baseObject = "temple_secret_door",
   model = "mod_assets/models/deep_temple/deep_temple_secret_door.fbx",
   }

defineObject{
   name = "deep_temple_spider_eggs",
   class = "Blockage",
   model = "mod_assets/models/deep_temple/deep_temple_spider_eggs.fbx",
   brokenModel = "mod_assets/models/deep_temple/deep_temple_spider_eggs_broken.fbx",
   placement = "floor",
   health = 30,
   evasion = -1000,
   hitSound = "spider_eggs_hit",
   hitEffect = "hit_goo",
   editorIcon = 56,
   }

cloneObject{
   name = "deep_temple_stairs_down",
   baseObject = "temple_stairs_down",
   model = "mod_assets/models/deep_temple/deep_temple_stairs_down.fbx",
   }

cloneObject{
   name = "deep_temple_stairs_up",
   baseObject = "temple_stairs_up",
   model = "mod_assets/models/deep_temple/deep_temple_stairs_up.fbx",
   }

cloneObject{
   name = "deep_temple_torch_holder",
   baseObject = "torch_holder",
   model = "mod_assets/models/deep_temple/deep_temple_torch_holder.fbx",
   }

defineObject{
   name = "deep_temple_wall_button",
   class = "Button",
   model = "mod_assets/models/deep_temple/deep_temple_wall_button.fbx",
   pressAnim = "assets/animations/env/wall_button_press.fbx",
   placement = "wall",
   editorIcon = 12,
   }

cloneObject{
   name = "deep_temple_wall_drainage",
   baseObject = "temple_wall_drainage",
   model = "mod_assets/models/deep_temple/deep_temple_wall_drainage.fbx",
   }

cloneObject{
   name = "deep_temple_wall_grating",
   baseObject = "temple_wall_grating",
   model = "mod_assets/models/deep_temple/deep_temple_wall_grating.fbx",
   }

defineObject{
   name = "deep_temple_wall_hooks",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_metal_hooks_wall.fbx",
   placement = "wall",
   editorIcon = 92,
   }

defineObject{
   name = "deep_temple_wall_hooks_chain",
   class = "Decoration",
   model = "mod_assets/models/deep_temple/deep_temple_metal_hooks_chain_wall.fbx",
   placement = "wall",
   editorIcon = 92,
   }

cloneObject{
   name = "deep_temple_wall_text",
   baseObject = "temple_wall_text",
   model = "mod_assets/models/deep_temple/deep_temple_wall_text.fbx",
   }

cloneObject{
   name = "deep_temple_wall_text_long",
   baseObject = "temple_wall_text_long",
   model = "mod_assets/models/deep_temple/deep_temple_wall_text_long.fbx",
   }
